<% if @pre_sale.errors.values.any? %>
	$("#error_explanation").empty();
	$('#error_explanation').removeClass('hidden');
	$("#error_explanation").append($("<div class='alert alert-danger'></div>"));
  <% @pre_sale.errors.values.each do |message| %>
    $("#error_explanation div").append($("<li />").html("<%= message.first.to_s %>"));
    toastr["error"]("<%= message.first.to_s %>");
  <% end %>
<% elsif defined? @pre_sale %>
	if($("#error_explanation").is(':visible')) {
		$("#error_explanation").addClass('hidden');
	}
	var table = $('#products_table').DataTable();
	var newRow = $('<%= j render (@pre_sale) %>');
	x = $('#products_table').dataTable();
	newRow.find('td:eq(0)').html(newRow.find('td:eq(0)').html().replace('#', x.fnGetData().length + 1));
	table.row.add(newRow).draw();

  $('#customer_remote').remove();
<% else %>
	toastr["error"]("Error, No se encontró el producto.");
<% end %>

